Apple warning: ITMS-90809: Deprecated API Usage

  1. 2 months ago

    I suddenly get a warning from Apple when uploading an iOS app via Application Loader saying:

    "We identified one or more issues with a recent delivery for your app, "XXXXX".Your delivery was successful, but you may wish to correct the following issues in your next delivery:

    ITMS-90809: Deprecated API Usage - Apple will stop accepting submissions of apps that use UIWebView APIs . See https://developer.apple.com/documentation/uikit/uiwebview for more information."

    It did not happen yesterday - I published from the new update of Pubcoder 3.6.2 (1028) using XPUB 2. 0 - and I haven't changed any settings.

    What can be wrong?

  2. Angelo S

    Sep 2 Administrator

    Hello John,
    it happens that Apple updates their requirements :)
    We are working on this, but at the moment it is only a warning and will not prevent you from submitting the app to the app store.

 

or Sign Up to reply!